Subject: Re: How to compile Git with NDK?

From: Jeff King <[email-masked]>
Date: Tue, 23 Sep 2014 12:13:20 -0400

On Tue, Sep 23, 2014 at 07:52:32AM -0500, Robert Dailey wrote:

> On Tue, Sep 23, 2014 at 7:47 AM, Robert Dailey <[email-masked]> wrote:
> > But if I type just 'make', I don't see how it will know where my ARM
> > toolchain is. I'll read the INSTALL file in the meantime.
> 
> Sorry for top post earlier, my mistake.
> 
> I reviewed the INSTALL file. It doesn't mention anything regarding how
> to setup the toolchain for the Git build. Also looks like I'll have to
> build the library dependencies with ARM toolchain as well. Looks like
> zlib is the only absolute required one. Is that correct?

Yes, zlib is the only absolute dependency. However, libcurl is useful if
you want to clone http repositories.

-Peff